import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import { AddTagsToOnPremisesInstancesInput } from "../models/models_0";
export { __MetadataBearer };
export interface AddTagsToOnPremisesInstancesCommandInput
  extends AddTagsToOnPremisesInstancesInput {}
export interface AddTagsToOnPremisesInstancesCommandOutput
  extends __MetadataBearer {}
declare const AddTagsToOnPremisesInstancesCommand_base: {
  new (
    input: AddTagsToOnPremisesInstancesCommandInput
  ): import("@smithy/core/client").CommandImpl<
    AddTagsToOnPremisesInstancesCommandInput,
    AddTagsToOnPremisesInstancesCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: AddTagsToOnPremisesInstancesCommandInput
  ): import("@smithy/core/client").CommandImpl<
    AddTagsToOnPremisesInstancesCommandInput,
    AddTagsToOnPremisesInstancesCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class AddTagsToOnPremisesInstancesCommand extends AddTagsToOnPremisesInstancesCommand_base {
  protected static __types: {
    api: {
      input: AddTagsToOnPremisesInstancesInput;
      output: {};
    };
    sdk: {
      input: AddTagsToOnPremisesInstancesCommandInput;
      output: AddTagsToOnPremisesInstancesCommandOutput;
    };
  };
}
